--英雄召唤 消耗道具展示
Lua_RecruitCostItem = class("Lua_RecruitCostItem", Lua_DisplayObject);

function Lua_RecruitCostItem:ctor(p)
	self:superCall("ctor", p, "RecruitCostItem_skin");
end

function Lua_RecruitCostItem:buildShowItem()
	self:superCall("buildShowItem");

	self:addLuaEvent("MONEY_UPDATE", self, self.updateShow); 
	self:addLuaEvent("SINGLE_ITEM_UPDATE", self, self.onPackUpdate);

	self.addBtn:addClickFuntion(self, self.onAddBtnClick);
end

function Lua_RecruitCostItem:dispose()
	self:superCall("dispose");
end

function Lua_RecruitCostItem:setData(itemId)
	self.id = itemId;

	self:updateShow();
end

function Lua_RecruitCostItem:updateShow()
	if self.id == nil then return end;
	local vo = Lua_ToolVo.new(self.id);
	self.itemIcon:setAltas(vo.iconAtlas, vo.iconSprite);
	self.itemIcon:SetDimensions(vo.iconWidth, vo.iconHeight);
	self.itemNumtxt.text = DataCenter.packData:getItemCountById(self.id);
end

function Lua_RecruitCostItem:onPackUpdate(id)
	if id == nil or self.id == nil or self.id ~= id then
		return;
	end
	self:updateShow();
end

function Lua_RecruitCostItem:onAddBtnClick(go)
	if self.id ~= nil then
		DataCenter.packUtil:openPathWindow(self.id);
	end
end

function Lua_RecruitCostItem:setAddBtnShow(val)
	self.addBtn:setEnable(val);
end