checkRequire("Lua_ObtainItemTipsWindow");
Lua_RecruitScoutShowRewardWindow = class("Lua_RecruitScoutShowRewardWindow", Lua_ObtainItemTipsWindow);
function Lua_RecruitScoutShowRewardWindow:ctor()
    self:superCall("ctor");
	self.windowName = "Lua_RecruitScoutShowRewardWindow";
end

function Lua_RecruitScoutShowRewardWindow:buildShowItem()
    self:superCall("buildShowItem");

	self.sureBtn = UICreate.createButton(self.content, LanUtil.getValue(140373), -169, -223, 220, 67);
	self.sureBtn:setStyle(7);
	self.sureBtn.name = "sureBtn";
	self.sureBtn:addClickFuntion(self, self.hide);
	self.againBtn = UICreate.createButton(self.content, LanUtil.getValue(140374), 169, -222, 220, 67);
	self.againBtn:setStyle(5);
	self.againBtn.name = "againBtn";
	self.againBtn:addClickFuntion(self, self.onAgainBtn);
end

function Lua_RecruitScoutShowRewardWindow:showWin(param)
    self:superCall("showWin", param);
end

function Lua_RecruitScoutShowRewardWindow:onTweenCompleted()
    self:superCall("onTweenCompleted");
    self.closeText:setEnable(false);
end

function Lua_RecruitScoutShowRewardWindow:onAgainBtn()
	Lua_MsgUtil.callFunc("SCOUT_RECRUIT_AGAIN", DataCenter.recruitData.selectTimes);
	self:hide();
end

function Lua_RecruitScoutShowRewardWindow:dispose()
    self:superCall("dispose");
end
